WordPress.org

Ready to get started?Download WordPress

Forums

iThemes Security (formerly Better WP Security)
[resolved] Bug in wp_enqueue_script filter (5 posts)

  1. Jeffery Moore
    Member
    Posted 1 year ago #

    Great plugin! I just found a bug however:

    When calling an external script, like "https://maps.googleapis.com/maps/api/js?sensor=false", the option "Display random version number to all non-administrative users" being enabled can cause the script path to become truncated. The example URL given above becomes: "https://maps.googleapis.com/maps/api/js".

    http://wordpress.org/extend/plugins/better-wp-security/

  2. Jeffery Moore
    Member
    Posted 1 year ago #

    Nevermind, I just found this bug reported elsewhere. My bad.

  3. funkolector
    Member
    Posted 1 year ago #

    Hey,

    where exactly did you see this bug reported?
    Any resolutions?

    Thanks in advance.

    A.

  4. Jeffery Moore
    Member
    Posted 1 year ago #

    http://wordpress.org/support/topic/plugin-better-wp-security-random-version-number-tweak-strips-all-script-query-parameter

    Not sure where I originally saw it but I found this post that reports the issue and provides a fix as well. I haven't tried it myself but reading the code, it looks like it should work.

    I might suggest trying to find a way to add this into your theme's functions.php file instead of modifying the plugin code since an upgrade to it could undo your changes and re-introduce the bug.

  5. funkolector
    Member
    Posted 1 year ago #

    Thanks for your answer Jeffery.
    And by the way, believe me, its been a long time since i stopped modifying core file ;)

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.